--- /dev/null	Fri Dec 21 15:00:16 2018
+++ new/usr/src/tools/smatch/src/smatch_data/db/build_late_index.sh	Fri Dec 21 15:00:16 2018
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+db_file=$1
+
+
+cat << EOF | sqlite3 $db_file
+PRAGMA synchronous = OFF;
+PRAGMA cache_size = 800000;
+PRAGMA journal_mode = OFF;
+PRAGMA count_changes = OFF;
+PRAGMA temp_store = MEMORY;
+PRAGMA locking = EXCLUSIVE;
+
+CREATE INDEX type_size_idx on type_size (type);
+CREATE INDEX type_val_idx on type_value (type);
+
+EOF
+
+
